OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignDocumentReference Class Reference

`#include <StepAP214_AutoDesignDocumentReference.hxx>`

Inheritance diagram for StepAP214_AutoDesignDocumentReference:

[legend]

## Public Member Functions
Standard_EXPORT | StepAP214_AutoDesignDocumentReference ()
Standard_EXPORT void | Init (const Handle(StepBasic_Document)&aAssignedDocument, const Handle(TCollection_HAsciiString)&aSource, const Handle(StepAP214_HArray1OfAutoDesignReferencingItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignReferencingItem | Items () const
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfAutoDesignReferencingItem)&aItems)
Standard_EXPORT StepAP214_AutoDesignReferencingItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepAP214_HArray1OfAutoDesignReferencingItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignDocumentReference::StepAP214_AutoDesignDocumentReference | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AutoDesignDocumentReference::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_DocumentReference.

Standard_EXPORT void StepAP214_AutoDesignDocumentReference::Init | ( | const Handle(StepBasic_Document)& | aAssignedDocument,
|  | const Handle(TCollection_HAsciiString)& | aSource,
|  | const Handle(StepAP214_HArray1OfAutoDesignReferencingItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignReferencingItem StepAP214_AutoDesignDocumentReference::Items | ( |  | ) | const

Standard_EXPORT StepAP214_AutoDesignReferencingItem StepAP214_AutoDesignDocumentReference::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignDocumentReference::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AutoDesignDocumentReference::SetItems | ( | const Handle(StepAP214_HArray1OfAutoDesignReferencingItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfAutoDesignReferencingItem StepAP214_AutoDesignDocumentReference::items`[private]`

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignDocumentReference.hxx